## Set Enablement for Zone `client.originTLSClientAuth.settings.update(SettingUpdateParamsparams, RequestOptionsoptions?): SettingUpdateResponse` **put** `/zones/{zone_id}/origin_tls_client_auth/settings` Enable or disable zone-level authenticated origin pulls. 'enabled' should be set true either before/after the certificate is uploaded to see the certificate in use. ### Parameters - `params: SettingUpdateParams` - `zone_id: string` Path param: Identifier. - `enabled: boolean` Body param: Indicates whether zone-level authenticated origin pulls is enabled. ### Returns - `SettingUpdateResponse` - `enabled?: boolean` Indicates whether zone-level authenticated origin pulls is enabled. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const setting = await client.originTLSClientAuth.settings.update({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', enabled: true, }); console.log(setting.enabled); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "enabled": true } } ```